This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1074827 - (CVE-2014-2287) CVE-2014-2287 asterisk: remote denial of service via file descriptor exhaustion (AST-2014-002)
CVE-2014-2287 asterisk: remote denial of service via file descriptor exhausti...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140214,repor...
: Security
Depends On: 1074828 1074829
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-11 00:58 EDT by Murray McAllister
Modified: 2015-07-31 03:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: asterisk 1.8.26.1, asterisk 11.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-03-11 00:58:39 EDT
A remote denial of service flaw was found in Asterisk. This could be used to cause Asterisk to hit the open file descriptor limit, preventing it from handling further requests. The upstream advisory (http://downloads.asterisk.org/pub/security/AST-2014-002.html) notes the attacker requires "Valid account credentials or anonymous dial in" and "A valid extension that can be dialed from the SIP account".

This issue affected all 1.8.x and 11.x versions. It has been corrected in versions 1.8.26.1 and 11.8.1.

Upstream patches:
http://downloads.asterisk.org/pub/security/AST-2014-002-1.8.diff
http://downloads.asterisk.org/pub/security/AST-2014-002-11.diff

External References:
http://downloads.asterisk.org/pub/security/AST-2014-002.html
Comment 1 Murray McAllister 2014-03-11 01:01:09 EDT
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1074828]
Affects: epel-6 [bug 1074829]
Comment 2 Fedora Update System 2014-03-21 05:29:25 EDT
asterisk-11.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-21 05:36:01 EDT
asterisk-11.8.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.